cdac.medinfo.sdk.hl7282.baselibs

## Class RP

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.CompositeDataType
  - - cdac.medinfo.sdk.hl7282.baselibs.RP

- All Implemented Interfaces:
    IDataType

      public class RP
      extends CompositeDataType

  RP - Reference pointer

  This data type transmits information about data stored on another system. It contains a reference pointer that uniquely identifies the data on the other system, the identity of the other system, and the type of data.

  Represents an HL7 RP data type. This data type has the following attributes:

  1. Pointer (ST)Optional
  2. Application ID (HD)Optional
  3. Type of Data (ID)Optional
  4. Subtype (ID)Optional

  This class provides accessors & mutators for the elements mentioned above. This class override the equal method, to check whether some other object is "equal to" this one.

  User can also create Data Type through `DataElementFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RP()` Default Constructor for RP
    `RP(int iComponentType, IDataTypeMap objIDataTypeMap)` Constructor for RP class which takes two arguments and sets the value in the respective member variable.
    `RP(int iComponentType, int iMinLength, int iMaxLength, java.lang.String strCLength, IDataTypeMap objIDataTypeMap)` Constructor for RP class which takes five arguments and sets the value in the respective member variable.
    `RP(int iComponentType, int iMinLength, int iMaxLength, java.lang.String strCLength, int ITableNo, IDataTypeMap objIDataTypeMap)` Constructor for RP class which takes six arguments and sets the value in the respective member variable.
    `RP(int iMinLength, int iMaxLength, java.lang.String strCLength, int iComponentType)` Constructor for CQ class which takes four arguments and sets the value in the respective member variable.
    `RP(int iMinLength, int iMaxLength, java.lang.String strCLength, int iTableNo, int iComponentType)` Constructor for RP class which takes five arguments and sets the value in the respective member variable.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object objObject)` This method checks the equality of Object.
    `HD` | `getApplicationID()` Returns Application ID
    `ST` | `getPointer()` Returns Pointer
    `ID` | `getSubtype()` Returns Subtype
    `ID` | `getTypeOfData()` Returns Type of Data
    `void` | `setApplicationId(HD objApplicationId)` Sets the ApplicationId.
    `void` | `setPointer(ST objST)` Sets the Pointer.
    `void` | `setPointer(java.lang.String strPointer)` Sets the Pointer.
    `void` | `setSubtype(ID objID)` Sets the Subtype.
    `void` | `setSubtype(java.lang.String strSubtype)` Sets the Subtype.
    `void` | `setTypeOfData(ID objID)` Sets the TypeOfData.
    `void` | `setTypeOfData(java.lang.String strTypeOfData)` Sets the TypeOfData.

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.CompositeDataType

      `copy, dumpDataType, getAttributes, getDataTypeName, getLength, getValue, isPrimitive, read, setValue, validate, write, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RP

          public RP()

      Default Constructor for RP

    - #### RP

          public RP(int iMinLength,
            int iMaxLength,
            java.lang.String strCLength,
            int iComponentType)
             throws InvalidComponentTypeException

      Constructor for CQ class which takes four arguments and sets the value in the respective member variable.
      Parameters:
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### RP

          public RP(int iMinLength,
            int iMaxLength,
            java.lang.String strCLength,
            int iTableNo,
            int iComponentType)
             throws InvalidComponentTypeException

      Constructor for RP class which takes five arguments and sets the value in the respective member variable.
      Parameters:
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iTableNo` - The Table number to which the value for the component is specified.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### RP

          public RP(int iComponentType,
            IDataTypeMap objIDataTypeMap)

      Constructor for RP class which takes two arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### RP

          public RP(int iComponentType,
            int iMinLength,
            int iMaxLength,
            java.lang.String strCLength,
            IDataTypeMap objIDataTypeMap)

      Constructor for RP class which takes five arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### RP

          public RP(int iComponentType,
            int iMinLength,
            int iMaxLength,
            java.lang.String strCLength,
            int ITableNo,
            IDataTypeMap objIDataTypeMap)

      Constructor for RP class which takes six arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iTableNo` - The Table number to which the value for the component is specified.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

  - ### Method Detail

    - #### setPointer

          public void setPointer(java.lang.String strPointer)

      Sets the Pointer.
      Parameters:
        `strPointer` - A unique key assigned by the system that stores the data.

    - #### setPointer

          public void setPointer(ST objST)

      Sets the Pointer.
      Parameters:
        `objST` - A unique key assigned by the system that stores the data.

    - #### setApplicationId

          public void setApplicationId(HD objApplicationId)

      Sets the ApplicationId.
      Parameters:
        `objApplicationId` - A unique designator of the system that stores the data.

    - #### setTypeOfData

          public void setTypeOfData(java.lang.String strTypeOfData)

      Sets the TypeOfData.
      Parameters:
        `strTypeOfData` - An ID data type that declares the general type of data.

    - #### setTypeOfData

          public void setTypeOfData(ID objID)

      Sets the TypeOfData.
      Parameters:
        `objID` - An ID data type that declares the general type of data.

    - #### setSubtype

          public void setSubtype(java.lang.String strSubtype)

      Sets the Subtype.
      Parameters:
        `strSubtype` - An ID data type declaring the format for the data of subcomponent

    - #### setSubtype

          public void setSubtype(ID objID)

      Sets the Subtype.
      Parameters:
        `objID` - An ID data type declaring the format for the data of subcomponent

    - #### getPointer

          public ST getPointer()

      Returns Pointer
      Returns:
        ST - data type.

    - #### getApplicationID

          public HD getApplicationID()

      Returns Application ID
      Returns:
        HD - data type.

    - #### getTypeOfData

          public ID getTypeOfData()

      Returns Type of Data
      Returns:
        ID - data type.

    - #### getSubtype

          public ID getSubtype()

      Returns Subtype
      Returns:
        ID - data type.

    - #### equals

          public boolean equals(java.lang.Object objObject)

      This method checks the equality of Object.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `objObject` - object of Object class.
      Returns:
        boolean - shows success or failure of the comparison.